Package org.springframework.batch.core.configuration.xml

# Class JobRepositoryParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
org.springframework.batch.core.configuration.xml.JobRepositoryParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class JobRepositoryParser extends org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
Parser for the <job-repository/> element in the Batch namespace. Sets up and returns a JobRepositoryFactoryBean.

Since:
  2.0
Author:
  Thomas Risberg

- ## Field Summary

  ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

  `ID_ATTRIBUTE, NAME_ATTRIBUTE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JobRepositoryParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
  Parse and create a bean definition for a `JobRepositoryFactoryBean` .
  `protected String`
  `getBeanClassName(Element element)`
  `protected String`
  `resolveId(Element element, org.springframework.beans.factory.support.AbstractBeanDefinition definition, org.springframework.beans.factory.xml.ParserContext parserContext)`

  ### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

  `doParse, getBeanClass, getParentName, parseInternal`

  ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

  `parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JobRepositoryParser

    public JobRepositoryParser()

- ## Method Details

  - ### getBeanClassName

    protected String getBeanClassName(Element element)
    Overrides:
      `getBeanClassName` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

  - ### resolveId

    protected String resolveId(Element element, org.springframework.beans.factory.support.AbstractBeanDefinition definition, org.springframework.beans.factory.xml.ParserContext parserContext) throws org.springframework.beans.factory.BeanDefinitionStoreException
    Overrides:
      `resolveId` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`
    Throws:
      `org.springframework.beans.factory.BeanDefinitionStoreException`

  - ### doParse

    protected void doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)
    Parse and create a bean definition for a `JobRepositoryFactoryBean` .
    Overrides:
      `doParse` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`